IRPCSubstituteUsers.GetUsersBySubstituteUser

View as Markdown

Vault API / standard read session idempotent returns metadata structure version

Gets the users for whom a given user is a substitute, directly or through group membership (administration).

ServiceSubstitute users MFiles.IRPCSubstituteUsers
gRPC method/MFiles.IRPCSubstituteUsers/GetUsersBySubstituteUser
HTTP (mf-http-grpc)POST /grpc/v1/get-users-by-substitute-user
RequestGetUsersBySubstituteUserRequest
ResponseGetUsersBySubstituteUserResponse
Book and levelVault API, standard
Kindread
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: GetUsersBySubstituteUserRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
user_idint32The ID of the substitute user.

Response: GetUsersBySubstituteUserResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
users[]repeated UserOrUserGroupIDThe users (USER_TYPE_USER) for whom user_id is a substitute.
users[].typeUserTypeUser type.Values: USER_TYPE_UNKNOWN (0), USER_TYPE_USER (1), USER_TYPE_USER_GROUP (2), USER_TYPE_WORKFLOW_STATE_PSEUDO_USER (3), USER_TYPE_PROPERTY_BASED_PSEUDO_USER (4).
users[].idint32User or user group.